Paack APIs
Log In
Paack APIs

/labels

Generates labels for an order.

The body of the call to the Labeler API uses a structured JSON format with mandatory and optional fields. The JSON must be properly structured to be accepted and mandatory fields must be populated. Each property in the request has a specific data type for the value; all values must conform to the required data type.

The number of generated PDF labels depends on the number of objects in the parcels array. barcode identifies a label and is the only required field within the object.

Base URL

Toggle the Base URL to call either staging or production based on the environment that you are working with:

Production:

https://api.paack.io/v3/labels 

Staging:

https://api.staging.paack.io/v3/labels
HEADER

Pass your access_token as a Bearer token in the Authorization header. The value of the header should look like this:

Bearer {{access_token}}
Parameter Constraints

You can click in the input box of each parameter to see all the constraints related to a field.

👍

Encoding

Characters allowed as string values:

 !"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~...''""--¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ

The Labeler API accepts the ASCII printable characters and extended ASCII printable characters except the following:

†€‚Ÿžœ›š™˜—•ŽŒ‹Š‰ˆ‡ƒ

All supported characters are described here.

📘

The Labeler API matches the definition of the order management service. The list below includes only required and printable fields but you can extend your request with any field from the order creation API.

Body Params

Request to generate labels (for PDF, as many labels as objects in the parcels[] array; for ZPL, first parcel in the parcels[] array or parcel indicated by the parcel_number value).

customer
object
required

Contains the properties first_name and last_name.

PDF Display limits:

  • first_name and last_name combined can take up to 45 characters (2 graphic lines).
  • A max. of approx. 23 characters can be displayed for last_name.

ZPL Display limits:

  • first_name and last_name combined can take up to 29 characters (1 graphic line).
  • A max. of approx. 23 characters can be displayed for last_name.
delivery_address
object
required

Specifies the address of the delivery.

Display limits:

  • city can take up to 58 characters.
  • A max. of approx. 60 characters (2 graphic lines) can be displayed for line1 and line2 combined.
  • A max. of approx. 30 characters can be displayed for line2.
string

Identifies a direct of reverse order. Example: reverse.

expected_delivery_ts
object
required

Contains the objects start and end indicating the order delivery's timeslot.

string
required
length between 1 and 30

Uniquely identifies the order within the retailer.

order_details
array of objects

Specifies custom information on the order.

order_details
integer

For ZPL labels, (template_id = 1 or template_id = 2), specifies either the first parcel or all parcels from the parcels[] array to return. For PDF labels, all parcels from the parcels[] array are returned in the response.

parcels
array of objects
required

Defines the parcels included in the order. Each object included in this array corresponds to one parcel identified by its barcode.

Display limits:

  • The dimensions are not displayed if all three values are 0.
parcels*
pick_up_address
object

Specifies the pickup address.

Display limits:

  • city can take up to 43 characters.
  • A max. of approx. 43 characters (2 graphic lines) can be displayed for line1 and line2 combined.
  • A max. of approx. 22 characters can be displayed for line2.
string
length between 1 and 60

Specifies the retailer name.

Display limits:

  • retailer_name can take up to 60 characters.
string
enum
required

Defines the code that identifies the delivery day type, timeslot type, and available slot length.

integer
enum

Defines the format of the label. 1 is for a single ZPL label, 2 is for printing multiple ZPL labels at once; null or missing property returns a PDF.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

HTTP 200 response, the Labeler API returns the file in the format specified in the template_id field in the request body. The default file format is PDF.

HTTP 206 response, the Labeler API returns partial content, in the format specified in the template_id field of the request body. This occurs due to exceeding the character field length or due to unsupported characters.

- Response body: The label in the specified format is returned but the displayed information is incomplete: names can be truncated and unsupported characters converted into question marks (?).

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
text/plain
application/json